class CollectionChangedArgs<T> {
  late final List<T> _removedItems;
  late final List<T> _addedItems;

  List<T> get removedItems => _removedItems;
  List<T> get addedItems => _addedItems;

  CollectionChangedArgs(List<T>? removed, List<T>? added) {
    _removedItems = removed ?? <T>[];
    _addedItems = added ?? <T>[];
  }
}
