import 'package:fis_measure/interfaces/process/calculators/values.dart';
import 'package:flutter/foundation.dart';
import 'package:vid/us/vid_us_unit.dart';

abstract class FormulaHandlerBase {
  final VidUsUnit ouputUnit;
  @protected
  final Map<String, VidUsUnit> inputUnitMap = {};
  @protected
  final Map<String, UnitFloatValue> inputValues = {};

  FormulaHandlerBase(this.ouputUnit);

  void setParameters(Map<String, UnitFloatValue> values) {
    inputValues.clear();
    inputValues.addAll(values);
  }

  void setParameter(String key, UnitFloatValue value) {
    inputValues[key] = value;
  }

  UnitFloatValue execute();
}

class EsvTeichholzHandler extends FormulaHandlerBase {
  EsvTeichholzHandler(super.ouputUnit);

  @override
  UnitFloatValue execute() {
    // TODO: implement execute
    throw UnimplementedError();
  }
}

class FormulaParameterNames {
  static const String ii = "";
}
