import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';
import 'package:vid/us/vid_us_image.dart';

/// 单帧播放器
class FOneFramePlayer extends FStatelessWidget {
  const FOneFramePlayer({Key? key, required this.oneFrame}) : super(key: key);
  final VidUsImage oneFrame;

  @override
  FWidget build(BuildContext context) {
    return FCenter(
      child: FContainer(
        width: double.infinity,
        height: double.infinity,
        child: FImage(
          fit: BoxFit.contain,
          image: MemoryImage(oneFrame.imageData),
        ),
      ),
    );
  }
}
